package com.nationrel.modules.fta.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.fta.entity.FtaAnalysis;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

@Mapper
public interface FtaAnalysisMapper extends BaseMapper<FtaAnalysis> {
    /**
     * 批量插入
     * @param inserts
     */
    void inserts(@Param("list") List<FtaAnalysis> inserts);

    void addLevel(@Param("list") ArrayList<String> updateIds);

    void subLevel(@Param("list") ArrayList<String> updateIds);

    void updates(@Param("list") List<FtaAnalysis> updateIds);

    /**
     * 查询一条数据，包含已被逻辑删除的数据
     * @param analysisId
     * @return
     */
    FtaAnalysis selectOneByAnalysisId(@Param("analysisId") String analysisId);

    /**
     * 更新，并将重置逻辑删除标识
     * @param analysis
     * @return
     */
    int updateDelFlag(@Param("analysis") FtaAnalysis analysis);
}
